Subject: Re: [RFC 04/11] net: phy: Handle c22 regs presence better

From: Andrew Lunn <[email-masked]>
Date: Tue, 26 May 2020 01:06:18 +0200

> I know for sure we find phys that previously weren't found.

That is in itself somewhat dangerous. Those using primitive
configuration systems are probably going to use phy_find_first(),
rather than an address on the bus.  I always recommend against that,
because if another PHY suddenly pops up on the bus, bad things can
happen.

   Andrew